osgDB::Input Class Reference

`#include <Input>`

Inheritance diagram for osgDB::Input:

## Public Types

typedef osg::ArgumentParser::Parameter | Parameter
Public Types inherited from osgDB::FieldReaderIterator
enum | { MINIMUM_FIELD_READER_QUEUE_SIZE = 10 }

## Public Member Functions

| Input ()
virtual | ~Input ()
void | setOptions (const Options *options)
const Options * | getOptions () const
virtual osg::Object * | readObjectOfType (const osg::Object &compObj)
virtual osg::Object * | readObjectOfType (const basic_type_wrapper &btw)
template<typename T>
T * | readObjectOfType ()
virtual osg::Object * | readObject ()
virtual osg::Image * | readImage ()
virtual osg::Drawable * | readDrawable ()
virtual osg::StateAttribute * | readStateAttribute ()
virtual osg::Uniform * | readUniform ()
virtual osg::Node * | readNode ()
virtual osg::Shader * | readShader ()
virtual osg::ref_ptr< osg::Object > | readObject (const std::string &fileName)
virtual osg::ref_ptr< osg::Image > | readImage (const std::string &fileName)
virtual osg::ref_ptr< osg::Node > | readNode (const std::string &fileName)
virtual osg::ref_ptr< osg::Shader > | readShader (const std::string &fileName)
virtual osg::Object * | getObjectForUniqueID (const std::string &uniqueID)
virtual void | registerUniqueIDForObject (const std::string &uniqueID, osg::Object *obj)
bool | read (Parameter value1)
bool | read (Parameter value1, Parameter value2)
bool | read (Parameter value1, Parameter value2, Parameter value3)
bool | read (Parameter value1, Parameter value2, Parameter value3, Parameter value4)
bool | read (Parameter value1, Parameter value2, Parameter value3, Parameter value4, Parameter value5)
bool | read (Parameter value1, Parameter value2, Parameter value3, Parameter value4, Parameter value5, Parameter value6)
bool | read (Parameter value1, Parameter value2, Parameter value3, Parameter value4, Parameter value5, Parameter value6, Parameter value7)
bool | read (Parameter value1, Parameter value2, Parameter value3, Parameter value4, Parameter value5, Parameter value6, Parameter value7, Parameter value8)
bool | read (const char *str)
bool | read (const char *str, Parameter value1)
bool | read (const char *str, Parameter value1, Parameter value2)
bool | read (const char *str, Parameter value1, Parameter value2, Parameter value3)
bool | read (const char *str, Parameter value1, Parameter value2, Parameter value3, Parameter value4)
bool | read (const char *str, Parameter value1, Parameter value2, Parameter value3, Parameter value4, Parameter value5)
bool | read (const char *str, Parameter value1, Parameter value2, Parameter value3, Parameter value4, Parameter value5, Parameter value6)
bool | read (const char *str, Parameter value1, Parameter value2, Parameter value3, Parameter value4, Parameter value5, Parameter value6, Parameter value7)
bool | read (const char *str, Parameter value1, Parameter value2, Parameter value3, Parameter value4, Parameter value5, Parameter value6, Parameter value7, Parameter value8)
Public Member Functions inherited from osgDB::FieldReaderIterator
| FieldReaderIterator ()
| FieldReaderIterator (const FieldReaderIterator &ic)
virtual | ~FieldReaderIterator ()
FieldReaderIterator & | operator= (const FieldReaderIterator &ic)
void | attach (std::istream *input)
void | detach ()
virtual bool | eof () const
FieldReader & | getFieldReader ()
void | insert (int pos, Field *field)
void | insert (int pos, const char *str)
Field & | operator[] (int pos)
Field & | field (int pos)
FieldReaderIterator & | operator++ ()
FieldReaderIterator & | operator+= (int no)
void | advanceOverCurrentFieldOrBlock ()
void | advanceToEndOfCurrentBlock ()
void | advanceToEndOfBlock (int noNestBrackets)
bool | matchSequence (const char *str)
bool | readSequence (const char *keyword, std::string &value)
bool | readSequence (const char *keyword, unsigned int &value)
bool | readSequence (const char *keyword, int &value)
bool | readSequence (const char *keyword, float &value)
bool | readSequence (const char *keyword, osg::Vec2f &value)
bool | readSequence (const char *keyword, osg::Vec3f &value)
bool | readSequence (const char *keyword, osg::Vec4f &value)
bool | readSequence (const char *keyword, osg::Vec2d &value)
bool | readSequence (const char *keyword, osg::Vec3d &value)
bool | readSequence (const char *keyword, osg::Vec4d &value)
bool | readSequence (std::string &value)
bool | readSequence (unsigned int &value)
bool | readSequence (int &value)
bool | readSequence (float &value)
bool | readSequence (osg::Vec2f &value)
bool | readSequence (osg::Vec3f &value)
bool | readSequence (osg::Vec4f &value)
bool | readSequence (osg::Vec2d &value)
bool | readSequence (osg::Vec3d &value)
bool | readSequence (osg::Vec4d &value)

## Detailed Description

deprecated.

## Member Typedef Documentation

## Parameter

typedef osg::ArgumentParser::Parameter osgDB::Input::Parameter

## Constructor & Destructor Documentation

## Input()

osgDB::Input::Input | ( |  | ) |

## ~Input()

virtual osgDB::Input::~Input | ( |  | ) |

virtual

## Member Function Documentation

## getObjectForUniqueID()

virtual osg::Object * osgDB::Input::getObjectForUniqueID | ( | const std::string & | uniqueID | ) |

virtual

## getOptions()

const Options * osgDB::Input::getOptions | ( |  | ) | const

inline

## read() [1/17]

bool osgDB::Input::read | ( | const char * | str | ) |

## read() [2/17]

bool osgDB::Input::read | ( | const char * | str,
|  | Parameter | value1 )

## read() [3/17]

bool osgDB::Input::read | ( | const char * | str,
|  | Parameter | value1,
|  | Parameter | value2 )

## read() [4/17]

bool osgDB::Input::read | ( | const char * | str,
|  | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3 )

## read() [5/17]

bool osgDB::Input::read | ( | const char * | str,
|  | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3,
|  | Parameter | value4 )

## read() [6/17]

bool osgDB::Input::read | ( | const char * | str,
|  | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3,
|  | Parameter | value4,
|  | Parameter | value5 )

## read() [7/17]

bool osgDB::Input::read | ( | const char * | str,
|  | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3,
|  | Parameter | value4,
|  | Parameter | value5,
|  | Parameter | value6 )

## read() [8/17]

bool osgDB::Input::read | ( | const char * | str,
|  | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3,
|  | Parameter | value4,
|  | Parameter | value5,
|  | Parameter | value6,
|  | Parameter | value7 )

## read() [9/17]

bool osgDB::Input::read | ( | const char * | str,
|  | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3,
|  | Parameter | value4,
|  | Parameter | value5,
|  | Parameter | value6,
|  | Parameter | value7,
|  | Parameter | value8 )

## read() [10/17]

bool osgDB::Input::read | ( | Parameter | value1 | ) |

## read() [11/17]

bool osgDB::Input::read | ( | Parameter | value1,
|  | Parameter | value2 )

## read() [12/17]

bool osgDB::Input::read | ( | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3 )

## read() [13/17]

bool osgDB::Input::read | ( | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3,
|  | Parameter | value4 )

## read() [14/17]

bool osgDB::Input::read | ( | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3,
|  | Parameter | value4,
|  | Parameter | value5 )

## read() [15/17]

bool osgDB::Input::read | ( | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3,
|  | Parameter | value4,
|  | Parameter | value5,
|  | Parameter | value6 )

## read() [16/17]

bool osgDB::Input::read | ( | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3,
|  | Parameter | value4,
|  | Parameter | value5,
|  | Parameter | value6,
|  | Parameter | value7 )

## read() [17/17]

bool osgDB::Input::read | ( | Parameter | value1,
|  | Parameter | value2,
|  | Parameter | value3,
|  | Parameter | value4,
|  | Parameter | value5,
|  | Parameter | value6,
|  | Parameter | value7,
|  | Parameter | value8 )

## readDrawable()

virtual osg::Drawable * osgDB::Input::readDrawable | ( |  | ) |

virtual

## readImage() [1/2]

virtual osg::Image * osgDB::Input::readImage | ( |  | ) |

virtual

## readImage() [2/2]

virtual osg::ref_ptr< osg::Image > osgDB::Input::readImage | ( | const std::string & | fileName | ) |

virtual

## readNode() [1/2]

virtual osg::Node * osgDB::Input::readNode | ( |  | ) |

virtual

## readNode() [2/2]

virtual osg::ref_ptr< osg::Node > osgDB::Input::readNode | ( | const std::string & | fileName | ) |

virtual

## readObject() [1/2]

virtual osg::Object * osgDB::Input::readObject | ( |  | ) |

virtual

## readObject() [2/2]

virtual osg::ref_ptr< osg::Object > osgDB::Input::readObject | ( | const std::string & | fileName | ) |

virtual

## readObjectOfType() [1/3]

template<typename T>

T * osgDB::Input::readObjectOfType | ( |  | ) |

inline

References readObjectOfType().

## readObjectOfType() [2/3]

virtual osg::Object * osgDB::Input::readObjectOfType | ( | const basic_type_wrapper & | btw | ) |

virtual

## readObjectOfType() [3/3]

virtual osg::Object * osgDB::Input::readObjectOfType | ( | const osg::Object & | compObj | ) |

virtual

Referenced by readObjectOfType().

## readShader() [1/2]

virtual osg::Shader * osgDB::Input::readShader | ( |  | ) |

virtual

## readShader() [2/2]

virtual osg::ref_ptr< osg::Shader > osgDB::Input::readShader | ( | const std::string & | fileName | ) |

virtual

## readStateAttribute()

virtual osg::StateAttribute * osgDB::Input::readStateAttribute | ( |  | ) |

virtual

## readUniform()

virtual osg::Uniform * osgDB::Input::readUniform | ( |  | ) |

virtual

## registerUniqueIDForObject()

virtual void osgDB::Input::registerUniqueIDForObject | ( | const std::string & | uniqueID,
|  | osg::Object * | obj )

virtual

## setOptions()

void osgDB::Input::setOptions | ( | const Options * | options | ) |

inline

The documentation for this class was generated from the following file:

- osgDB/Input